#
# spec file for package python-future
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-future
Version:        0.15.2
Release:        3.5
Summary:        Clean single-source support for Python 3 and 2
License:        MIT
Group:          Development/Languages/Python
Url:            https://python-future.org
Source:         https://pypi.python.org/packages/source/f/future/future-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
future: Easy, safe support for Python 2/3 compatibility

``future`` is the missing compatibility layer between Python 2 and Python
3. It allows you to use a single, clean Python 3.x-compatible codebase to
support both Python 2 and Python 3 with minimal overhead.

%prep
%setup -q -n future-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %{buildroot}/%{python_sitelib}/*
mv %{buildroot}%{_bindir}/futurize   %{buildroot}%{_bindir}/futurize-2
mv %{buildroot}%{_bindir}/pasteurize %{buildroot}%{_bindir}/pasteurize-2

ln -s -f %{_sysconfdir}/alternatives/futurize   %{buildroot}%{_bindir}/futurize
ln -s -f %{_sysconfdir}/alternatives/pasteurize %{buildroot}%{_bindir}/pasteurize

%post
%_sbindir/update-alternatives --install \
   %{_bindir}/futurize   futurize   %{_bindir}/futurize-2   15
%_sbindir/update-alternatives --install \
   %{_bindir}/pasteurize pasteurize %{_bindir}/pasteurize-2 15

%preun
if [ "$1" = 0 ] ; then
   %_sbindir/update-alternatives --remove futurize   %{_bindir}/futurize-2
   %_sbindir/update-alternatives --remove pasteurize %{_bindir}/pasteurize-2
fi

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.rst
%{python_sitelib}/*
%{_bindir}/futurize-2
%{_bindir}/pasteurize-2
%{_bindir}/futurize
%{_bindir}/pasteurize
%ghost %{_sysconfdir}/alternatives/futurize
%ghost %{_sysconfdir}/alternatives/pasteurize

%changelog
* Fri Sep  9 2016 glin@suse.com
- Remove %%ghost from %%{_bindir}/futurize and %%{_bindir}/pasteurize
  (fate#320644)
* Mon Dec 14 2015 glin@suse.com
- initial import: 0.15.2 (fate#320644)
